<script setup lang="ts">
    
    import { ref, type Ref } from 'vue';
    import axios, {type AxiosResponse} from 'axios';
    import router from '../router/index'
    import { useCookies } from "vue3-cookies";
    const { cookies } = useCookies();
    const backendURL = import.meta.env.VITE_BACKEND_URL;
    let verifyOTP = async function() {
        // @ts-ignore
        let otp = (<HTMLInputElement>(document.getElementById('otp-input')))?.value;
        let key = cookies.get("key")
        await axios.post(`${backendURL}/otp/verify`, {
                    "key": key,
                    "otp": otp
                },
                {
                    headers: {
                        // @ts-ignore
                        'authorization' : 'Bearer ' + cookies.get("authorization")
                    }
                }
                ).then((response) => {
                    // @ts-ignore
                    cookies.remove("key");
                    cookies.set("role", "Member")
                    // @ts-ignore
                    router.push("/");
                }).catch((error) => {
                    let errorObj = document.getElementById("error-send");
                    // @ts-ignore
                    errorObj.textContent = error.response.data.Details;
                });
    }
    let requestOTP = async function() {
        console.log(cookies.get("authorization"))      
        await axios.post(`${backendURL}/otp/send`, {
                },  
                {
                    headers: {
                        // @ts-ignore
                        'authorization' : 'Bearer ' + cookies.get("authorization")
                    }
                }
                ).then((response) => {
                    let errorObj = document.getElementById("error-verify");
                    // @ts-ignore
                    errorObj.textContent = response.data.Details;
                    // @ts-ignore
                    cookies.set('key', response.data.key);
                }).catch((error) => {
                    let errorObj = document.getElementById("error-verify");
                    // @ts-ignore
                    errorObj.textContent = error.response.data.Details;
                });
    }
</script>

<template>
<div class="py-32 text-center ">
    <div>
        <p class="text-emerald-500 font-medium" style="font-size:40px">Verifikasi OTP</p>
        <p class="text-neutral-600">Harap masukkan kode OTP yang sudah dikirimkan ke email.</p>
    </div>
    <form @submit.prevent="verifyOTP">
        <input type="text" required class="mx-auto w-1/3 h-10 border p-3 rounded-full border-neutral-400 active:border-0" id="otp-input">
        <br>
        <button type="submit" class="text-white px-5 py-2 m-3 rounded-full bg-green-400 font-medium">Submit</button>
    </form>
    <div id="error-send" class="text-red-500">
        
    </div>
    <div >
        
    </div>
    <button @click="requestOTP" class="text-blue-500">Minta kode lagi</button>
    <div id="error-verify" class="text-red-500"></div>
</div>
</template>
